
% ------------------------------------------------------------------------
% DEMO_CSYS
% Demo program of ROBOT toolbox
% A coordinate system in random configuration, rotated around z-axis 
% by 2pi radians
% ------------------------------------------------------------------------

axis([-2, 5, -2, 5, -2, 5])
wcs = csys(eye(4), 'CSysAxisLength', axis);
wcs = csys_plot(wcs);

cs = csys(rp2t(rotx(rand(1))*roty(rand(1)),[3; 2; 2]), 'CSysColor', 'r');
cs = csys_plot(cs);

for i=0:62
  cs = csys_move(cs,rp2t(rotz(0.1),[0;0;0]),2);
  pause(0.05);
  cs = csys_delete(cs);
  cs = csys_plot(cs);
end
