
function [B] = blkset(B, name, val, init)

switch ( name )
      
  case 'BlockColor'
      
    B.fig.color = val;
    
  case 'BlockEdgeColor'
      
    B.fig.edgeColor = val;
      
  case 'CSysColor'
    
    B.csys.color = val;
    
  case 'CSysLabelColor'
      
    B.csys.labelColor = val;
    
  case 'CSysLabel'
      
    if ( ischar(val) ) B.csys.label = val;
    else rethrow(geterr('propValTxt',name)); end
    
  case 'CSysAxisLabel'
      
    if ( parIsCellTxt(val, 3) ) B.csys.axisLabel = val;
    else rethrow(geterr('propValCellTxt',name,3)); end
    
  case 'CSysAxisLength'
      
    if ( parIsVector(val,6) ) B.csys.axisLength = val;
    else rethrow(geterr('propValVect',name,6)); end
    
end
