
function [CS] = csset(CS, name, val, init)

switch ( name )
      
  case 'CSysLabel'
      
    if ( ischar(val) ) CS.label = val;
    else error('CSysLabel musi by tekstem.'); end
    
  case 'CSysAxisLabel'
      
    if ( iscell(val) & ( length(val) == 3 ) & ischar(val{1}) & ischar(val{2}) & ischar(val{3}) ) 
      CS.axisLabel = val;
    else error('CSysAxisLabel musi by 3-elementow tablic komrkow zawierajc text.'); end
    
  case 'CSysAxisLength'
      
    if ( isnumeric(val) & ( length(val) == 6 ) ) CS.axisLength = val;
    else error('CSysAxisLength musi by 6-elementowym wektorem.'); end

  case 'CSysColor'
      
    CS.fig.color = val;
    
  case 'CSysLabelColor'
      
    CS.fig.labelColor = val;
    
end
