
function [B] = doblock(p, f, lst, opt)

B.ident = 'block'; % identyfikator obektu

B.T = eye(4);  % operator przeksztacenia bryy (okrela aktualn pozycj i orientacj)

B.points = p;  % wsprzdne wierzchokw bryy
% B.edges  = E;  % krawdzie bryy (numery poaczonych wierzchokw)
B.faces  = f;  % ciany bryy (numery wierzchokw opisujcych cian)

% ustawienie wartoci opcji
for i=1:length(lst) B=blkset(B, lst{i}, getfield(opt,lst{i}), 1); end

B.fig.view    = 1;   % metoda uyta do narysowania bryy
B.fig.handle  = [];  % uchwyty obiektw tworzcych rysunek bryy

B.csys.view   = 0;   % widoczno ukadu wsprzdnych bryy
B.csys.handle = [];  % uchwyty obiektw tworzcych rysunek ukadu wsprzednych
