
function [opt] = getopts(lst, varargin)

opt  = [];
for i=1:size(lst,1) 
  try
    opt = setfield(opt, lst{i,1}, findopt(varargin, lst{i,1}, lst{i,2}, lst{i,3}));
  catch
    err = lasterror;
    switch (err.identifier)
      case {'ROBOT:colorName', 'ROBOT:colorDef'}, rethrow(geterr('propValColor', lst{i,1}));
      otherwise, rethrow(err);
    end
  end
end
