
function [def] = optlst(obj)

def = {};

switch ( obj )
    
   case 'block'
       
      def = { 'BlockColor',     'b',             'col2rgb'
              'BlockEdgeColor', 'none',          'col2rgb'
              'CSysColor',      'r',             'col2rgb'
              'CSysLabelColor', 'k',             'col2rgb'
              'CSysLabel',      '',              ''
              'CSysAxisLabel',  {'x', 'y', 'z'}, ''
              'CSysAxisLength', [0 1 0 1 0 1],   '' };
      
    case 'csys'
        
      def = { 'CSysLabel',      '',               ''
              'CSysAxisLabel',  {'x', 'y', 'z'},  ''
              'CSysAxisLength', [-1 1 -1 1 -1 1], ''
              'CSysColor',      'k',              'col2rgb'
              'CSysLabelColor', 'k',              'col2rgb' };
      
    case 'robot'
        
      def = { 'RobotBase',              eye(4),        ''
              'RobotGrasper',           eye(4),        ''
              'RobotGrasperSize',       [0 0],         ''
              'RobotRange',             [],            ''
              'RobotCylinderRadius',    1,             ''
              'RobotCylinderApprox',    8,             ''
              'RobotModel',             'config',      ''
              'RobotLineWidth',         1,             ''
              'RobotColor',             'b',           'col2rgb'
              'RobotLengthColor',       '_null',       'col2rgb'
              'RobotOffsetColor',       '_null',       'col2rgb'
              'RobotGrasperColor',      '_null',       'col2rgb'
              'RobotExColor',           '_null',       'col2rgb'
              'RobotEdgeColor',         'none',        'col2rgb'
              'RobotLengthEdgeColor',   '_null',       'col2rgb'
              'RobotOffsetEdgeColor',   '_null',       'col2rgb'
              'RobotGrasperEdgeColor',  '_null',       'col2rgb'
              'RobotExEdgeColor',       '_null',       'col2rgb'
              'CSysColor',              'r',           'col2rgb'
              'CSysLabelColor',         'k',           'col2rgb'
              'CSysAxisLength',         [0 1 0 1 0 1], ''
              'CSysLabel',              'default',     ''
              'CSysAxisLabel',          'default',     '' };
end
