
function [hnd] = pltmesh(T, P, S, c)

p=T*P;

hnd = [];
for i=1:length(S)
  if ( size(S{i},2) ~= 2 )
    hnd = [hnd, patch('Vertices',p(1:3,:)','Faces',S{i}, 'FaceColor', 'none', 'EdgeColor', c)];  
  else
    m = S{i};
    for j=1:size(m,1)
      hnd = [hnd, plot3([p(1,m(j,1)),p(1,m(j,2))],[p(2,m(j,1)),p(2,m(j,2))],[p(3,m(j,1)),p(3,m(j,2))],'Color',c)];
    end
  end
end
