
function R = rcfgset(R, Q)

for i=1:R.n
  switch ( R.joints(i) )
    case 'r'
      if ( R.dh(i,4) ~= Q(i) )
        R.dh(i,4) = Q(i);
        R.plain.lines  = rplnarm(R, R.plain.lines, i);
        R.def3d.blocks = rdef3darm(R, R.def3d.blocks, i);
      end
    case { 'p', 'd' }
      if ( R.dh(i,3) ~= Q(i) )
        R.dh(i,3) = Q(i);
        R.plain.lines  = rplnarm(R, R.plain.lines, i);
        R.def3d.blocks = rdef3darm(R, R.def3d.blocks, i);
      end
  end
end

if ( ~isempty(R.cblock) )
  T = trans2(R.dh, R.base);
  R.cblock.T = T{R.n}*R.grasper*R.tblock;
end
