
function [R] = rplt(R, view)

if ( view == -1 ) csys=1; view=R.fig.view;
else csys=0; end

v = view;

switch view
  case { 1, 2 }
    if ( emptyblk(R.user3d.blocks) ) blk=R.def3d.blocks;
    else blk=R.user3d.blocks; end
  case 3
    blk = R.def3d.blocks;
    v = 1;
  case 4
    if ( emptyblk(R.user3d.blocks) ) error('Niezdefiniowany wyglad 3D'); end
    blk = R.user3d.blocks;
    v = 1;
  case 5
    blk = R.def3d.blocks;
    v = 2;
  case 6
    if ( emptyblk(R.user3d.blocks) ) error('Niezdefiniowany wyglad 3D'); end
    blk = R.user3d.blocks;
    v = 2;
end


T = trans2(R.dh, R.base);
T = { R.base, T{:}, T{R.n}*R.grasper };

switch v

  case 0 
    for i=1:R.n+1
      if ( ~isempty(R.plain.lines{i}) ) 
        p = T{i}*R.plain.lines{i};
        R.fig.handle = [R.fig.handle, plot3(p(1,1:2), p(2,1:2), p(3,1:2),... 
                       'Color', R.fig.color{1}, 'LineWidth', R.plain.lineWidth)];
        R.fig.handle = [R.fig.handle, plot3(p(1,2:3), p(2,2:3), p(3,2:3),... 
                       'Color', R.fig.color{2}, 'LineWidth', R.plain.lineWidth)];
      end
    end
    if ( ~isempty(R.plain.lines{R.n+2}) ) 
      p = T{R.n+2}*R.plain.lines{R.n+2};
      R.fig.handle = [R.fig.handle, plot3(p(1,:), p(2,:), p(3,:),... 
                     'Color', R.fig.color{3}, 'LineWidth', R.plain.lineWidth)];
    end

  case { 1, 2 }
    range = 1:size(blk, 2);
    for i=1:R.n+2
      for j=range
        if ( ~ isempty(blk{i,j}) )
          b = blkplt(blkmv(blk{i,j}, T{i}, 1),v);
          R.fig.handle = [R.fig.handle, b.fig.handle];
        end
      end
    end

end

if ( csys ) R=rpltcsys(R, R.csys.view); end

R.fig.view = view;

if ( ~isempty(R.cblock) ) 
  if ( v == 0 ) v =  1; end
  if ( csys   ) v = -1; end
  R.cblock = blkplt(R.cblock, v); 
end
