
function [a]=trjpoly3(T0, Tt, Q0, Qt, V0, Vt)

M = [T0^3 T0^2 T0 1; 3*T0^2 2*T0 1 0; 
     Tt^3 Tt^2 Tt 1; 3*Tt^2 2*Tt 1 0];

a = zeros(4,length(Q0));
for i=1:length(Q0)
  a(:,i) = M\[Q0(i);V0(i);Qt(i);Vt(i)];
end;
