
function [num] = view2num(v, allowed)

names  = {'line', 'mesh', 'dmesh', 'umesh', 'surf', 'dsurf', 'usurf'}; 
idents = [0, 1, 3, 4, 2, 5, 6];

def = [];
for i=1:length(idents)
  if ( any(idents(i)==allowed) )
     if ( ~isempty(def) ) def=[def, ',', names{i}];
     else def=names{i}; end
  end
end

if ( ischar(v) )
  num = -1;
  for i=1:length(names)
    if ( strcmpi(names{i},v) ) num=idents(i); break; end
  end
  if ( num == -1 ) rethrow(geterr('argVal', 'view', def)); end
else
  num = v;
end

if ( ~any(num == allowed) ) rethrow(geterr('argAllowed', 'view', def)); end
