
function [hnd] = csplt(T, alen, slbl, albl, c, clbl)

p=T*[[alen(1) 0 0 1]' [alen(2) 0 0 1]' [0 alen(3) 0 1]' [0 alen(4) 0 1]'...
     [0 0 alen(5) 1]' [0 0 alen(6) 1]' [0 0 0 1]'];

% hnd = plot3([p(1,1) p(1,2)], [p(2,1) p(2,2)], [p(3,1) p(3,2)], 'Color', c);
% hnd = [hnd plot3([p(1,3) p(1,4)], [p(2,3) p(2,4)], [p(3,3) p(3,4)], 'Color', c)];
% hnd = [hnd plot3([p(1,5) p(1,6)], [p(2,5) p(2,6)], [p(3,5) p(3,6)], 'Color', c)];

ba = 30; l = 7;
hnd = arrow(p(1:3,1),p(1:3,2),'BaseAngle',ba, 'Length',l, 'FaceColor',c, 'EdgeColor',c);
hnd = [hnd arrow(p(1:3,3), p(1:3,4), 'BaseAngle',ba, 'Length',l, 'FaceColor',c, 'EdgeColor',c)];
hnd = [hnd arrow(p(1:3,5), p(1:3,6), 'BaseAngle',ba, 'Length',l, 'FaceColor',c, 'EdgeColor',c)];

u = get(gca,'fontunits');  set(gca,'fontunits','normalized');
d = get(gca,'fontsize');   set(gca,'fontunits', u);
a = axis(gca);
if ( length(a) == 4 ) d=d*max(a([2,4])-a([1,3]));
else d=d*max(a([2,4,6])-a([1,3,5])); end

%d = 0.1*[alen(2)-alen(1) alen(4)-alen(3) alen(6)-alen(5)];

if ( length(albl) == 3 ) 
  hnd = [hnd text(p(1,2), p(2,2)+d, p(3,2), albl{1}, 'Color', clbl)];
  hnd = [hnd text(p(1,4)+d, p(2,4), p(3,4), albl{2}, 'Color', clbl)];
  hnd = [hnd text(p(1,6)+d, p(2,6), p(3,6), albl{3}, 'Color', clbl)];
end

if ( ~isempty(slbl) )
  hnd = [hnd text(p(1,7)-d, p(2,7)-d, p(3,7)-d, slbl, 'Color', clbl)];
end
