
function [val] = findopt(opt, name, def, conv)

if ( nargin < 4 ) conv=''; end

if ( ~isempty(conv) ) val=feval(conv, def);
else val=def; end

for i=1:2:length(opt)
  if ( strcmpi(opt{i}, name) )
    val = opt{i+1};
    if ( ~isempty(conv) & ~strcmp(val,'_null') ) val=feval(conv, val); end
    break;
  end
end
