
function [a]=trjline(T0, Tt, Q0, Qt, V0, Vt, A0, At)

A0 = abs(A0);
At = -abs(At);

a = zeros(10,length(Q0));
for i=1:length(Q0)
  if ( Q0(i) > Qt(i) ) 
    A0(i)=-A0(i);
    At(i)=-At(i); 
  end
  
  a2 = A0(i)/2;
  a1 = V0(i)-A0(i)*T0;
  a0 = Q0(i)-V0(i)*T0+A0(i)/2*T0^2;

  c2 = At(i)/2;
  c1 = Vt(i)-At(i)*Tt;
  c0 = Qt(i)-Vt(i)*Tt+At(i)/2*Tt^2;

  A = -a2 + a2^2/c2;
  B = (a1-c1)*a2/c2;
  C = 1/4*(-2*a1*c1+c1^2+a1^2)/c2 + a0 - c0;
  d = B^2-4*A*C;
  if ( d < 0 ) continue; end

  t1 = min((-B-sqrt(d))/(2*A), (-B+sqrt(d))/(2*A));
  b1 = 2*a2*t1+a1;
  t2 = -1/2*(c1-b1)/c2;
  b0 = a0+a1*t1+a2*t1^2-b1*t1;
  
  a(:,i) = [a2; a1; a0; b1; b0; c2; c1; c0; t1; t2];
end
