
function [a]=trjpoly3(T0, Tt, Q0, Qt, V0, Vt, A0, At)

M = [   T0^5    T0^4   T0^3   T0^2 T0 1; 
      5*T0^4  4*T0^3 3*T0^2 2*T0   1  0; 
     20*T0^3 12*T0^2 6*T0     2    0  0;
        Tt^5    Tt^4   Tt^3   Tt^2 Tt 1; 
      5*Tt^4  4*Tt^3 3*Tt^2 2*Tt   1  0; 
     20*Tt^3 12*Tt^2 6*Tt     2    0  0];

a = zeros(6,length(Q0));
for i=1:length(Q0)
  a(:,i) = M\[Q0(i); V0(i); A0(i); Qt(i); Vt(i); At(i)];
end;
